<template>
  <div id="app" class="col-sm-12">
  <div class="offset">
  <div id="nav">
    <nav aria-label="Page navigation">
			<ul class="pagination">
				<li class="page-item">
					<button type="button" class="page-link" v-if="page != 1" @click="previousPage"><b> &laquo; Previous </b></button>
				</li>
				<b class="page-item">
					<b> Page {{page}} </b>
				</b>
				<li class="page-item">
					<button type="button" @click="nextPage" v-if="page < pages" class="page-link"><b> Next &raquo; </b></button>
				</li>
			</ul>
		</nav>	
	  </div>
  </div>
</div>
</template>

<script>
import './Pagination.css';
export default {
    props: {
        pages: {
          type: Number,
          default: 1
        },
        page: {
          type: Number,
          default: 1
        },
        setPage: { type: Function }
    },
    methods:{
	    nextPage () {
            this.setPage("next");
        },
        previousPage () {
            this.setPage("previous");
        }
    }
}
</script>